#
# This file holds the configuration of oVirt events notification daemon.
# The daemon consists of two major services: notification service and engine monitoring.
#

#---------------------------#
# Engine Libraries Location #
#---------------------------#
# A path to the engine libraries folder under Jboss. Required.
rhevmLib=/var/lib/jbossas/server/rhevm-slimmed/deploy/rhevm.ear/lib

#---------------------------------#
# Database Connectivity Settings: #
#---------------------------------#
# Path to datasource file used by Jboss, stores DB connectivity details
AS_DATA_SOURCE=/var/lib/jbossas/server/rhevm-slimmed/deploy/postgres-ds.xml

# Parameter should be set if using an encrypted DB password, else not required
AS_LOGIN_CONFIG=/var/lib/jbossas/server/rhevm-slimmed/conf/login-config.xml

#-------------------------------------#
# Notification Service Configuration: #
#-------------------------------------#
# Interval (in seconds) between iterations of dispatching messages to subscribers. Default is 120 seconds.
INTERVAL_IN_SECONDS=3

# The SMTP mail server address. Required.
MAIL_SERVER=localhost

# The default port of non-secured SMTP server is 25, for secured (ssl enabled) 465.
#MAIL_PORT=25

# Required if SSL enabled to authenticate the user. Used also to specify 'from' user address if mail server
# supports, when MAIL_FROM is not set. Address is in RFC822 format
#MAIL_USER=

# Required to authenticate the user if mail server requires authentication or if SSL is enabled
#MAIL_PASSWORD=

# Indicates whether SSL should be used to communicate with mail server. Default is false.
#MAIL_ENABLE_SSL=true

# If set to true, sends a message in HTML format. Default is false.
#HTML_MESSAGE_FORMAT=true

# Specifies 'from' address on sent mail in RFC822 format, if supported by mail server.
MAIL_FROM=istein@redhat.com

# Specifies 'reply-to' address on sent mail in RFC822 format.
#MAIL_REPLY_TO=

# Amount of days to keep dispatched events on history table. If not set, events remain on history table.
#DAYS_TO_KEEP_HISTORY=30

#----------------------------------#
# Engine Monitoring Configuration: #
#----------------------------------#
# Interval (in seconds) between engine server monitoring iterations. Interval is being measured from
# the time an iteration is completed. Default is 300 seconds.
ENGINE_INTERVAL_IN_SECONDS=3

# Number of retries to monitor server status per iteration. Default is 3 retries.
ENGINE_MONITOR_RETRIES=3

# Time (in seconds) to wait between retries. Default is 30 seconds.
#ENGINE_TIMEOUT_IN_SECONDS=30

# The address of the engine server, in format of address:port. Default is localhost:8080
#ENGINE_ADDRESS=localhost:8080

# If running Jboss in secure mode, should be set to true. Default is false. If set to true, ENGINE_ADDRESS should
# be filled with the actual engine server name and port (do not use localhost), e.g. engineserver:8443
#IS_HTTPS_PROTOCOL=true

# Specifies the protocol used by Jboss Configuration Connector when SSL is enabled. Default is 'TLS'.
#SSL_PROTOCOL=TLS

# If running Jboss in secure mode, and wishes to ignore SSL errors, should set to true. Default is false.
#SSL_IGNORE_CERTIFICATE_ERRORS=false

# If running Jboss in secure mode, and wishes to ignore hostname verification, should set to true. Default is false.
# If setting this property to 'true', SSL_IGNORE_CERTIFICATE_ERRORS considered to be set to 'true' as well: disabling host name
# verification means that it will not be verified against the certification, therefore certification errors are ignored.
#SSL_IGNORE_HOST_VERIFICATION=false

# Specifies whether to repeat auditing of failure messages of non-responding engine server. Default is false (meaning
# repeated failure messages will NOT be sent to the subscribers)
#REPEAT_NON_RESPONSIVE_NOTIFICATION=false

#---------------------------------------------#
# Alternative Database Connectivity Settings: #
#---------------------------------------------#
# The following properties (DB_CONNECTION_URL, DB_USER_NAME, DB_PASSWORD and DB_JDBC_DRIVER_CLASS) could be set
# instead of database properties AS_DATA_SOURCE and AS_LOGIN_CONFIG to specify alternate database connectivity
# details. DB_JDBC_DRIVER_CLASS should be associated within the service classpath as defined on /usr/share/rhevm/notifier/notifier.sh

# JDBC url to the database
#DB_CONNECTION_URL=jdbc:sqlserver://address;databaseName=rhevm

# Database user name
#DB_USER_NAME=

# Database password
#DB_PASSWORD=

# Database JDBC driver
#DB_JDBC_DRIVER_CLASS=org.postgresql.Driver
